[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TGridScroller.Create

Constructor for the class instance.

## Declaration

Source position: grids.pas line 735

`public constructor TGridScroller.Create(`
`DoScroll: TGridScrollerDoScroll`
`);`

## Arguments

`DoScroll` |  | Contains the callback routine signalled when the timer has elapsed in the class instance.

## Description

Create sets the internal Callback member to the handler routine in the DoScroll argument. It also creates the internal TTimer instance used in the class; the timer Interval internal is set to 200ms (milliseconds) and the OnTimer routine is set to the private TimerTick method in the class.

## See also

TGridScrollerDoScroll |  | Specifies an event handler routine used to scroll a grid control when a column or row is dragged beyond the grid client area.
TTimer.Interval |  | The Interval (in milliseconds) for timer notifications.
TTimer.OnTimer |  | Event handler signalled when the Interval for the timer has elapsed.